Bug 1219218 - Improve CleanAllRUV task logging
Summary: Improve CleanAllRUV task logging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-06 20:40 UTC by Noriko Hosoi
Modified: 2020-09-13 21:23 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-56.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-22 06:37:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 1482 0 None None None 2020-09-13 21:23:25 UTC
Red Hat Product Errata RHBA-2015:1326 0 normal SHIPPED_LIVE 389-ds-base bug fix and enhancement update 2015-07-20 17:53:07 UTC

Description Noriko Hosoi 2015-05-06 20:40:22 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48151

It is difficult to diagnose cleanallruv issues when there are multiple cleanallruv tasks running at the same time.  Each logging line should also print the rid that is being cleaned/aborted.

Comment 2 Viktor Ashirov 2015-05-13 20:48:17 UTC
Build tested: 389-ds-base-1.2.11.15-56.el6

From errors log: 
[13/May/2015:16:43:00 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1235): Cleaning rid (1235)... 
[13/May/2015:16:43:00 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1235): Waiting to process all the updates from the deleted replica... 
[13/May/2015:16:43:00 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1235): Waiting for all the replicas to be online... 
[13/May/2015:16:43:00 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1235): Waiting for all the replicas to receive all the deleted replica updates... 
[13/May/2015:16:43:00 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1235): Sending cleanAllRUV task to all the replicas... 
[13/May/2015:16:43:00 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1235): Cleaning local ruv's... 
[13/May/2015:16:43:00 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1235): Waiting for all the replicas to be cleaned... 
[13/May/2015:16:43:01 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1235): Waiting for all the replicas to finish cleaning... 
[13/May/2015:16:43:02 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1235): Not all replicas finished cleaning, retrying in 10 seconds 
[13/May/2015:16:43:12 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1235): Successfully cleaned rid(1235). 
[13/May/2015:16:43:31 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1236): Initiating CleanAllRUV Task... 
[13/May/2015:16:43:31 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1236): Retrieving maxcsn... 
[13/May/2015:16:43:31 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1236): Found maxcsn (00000000000000000000) 
[13/May/2015:16:43:32 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1236): Cleaning rid (1236)... 
[13/May/2015:16:43:32 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1236): Waiting to process all the updates from the deleted replica... 
[13/May/2015:16:43:32 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1236): Waiting for all the replicas to be online... 
[13/May/2015:16:43:32 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1236): Waiting for all the replicas to receive all the deleted replica updates... 
[13/May/2015:16:43:32 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1236): Sending cleanAllRUV task to all the replicas... 
[13/May/2015:16:43:32 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1236): Cleaning local ruv's... 
[13/May/2015:16:43:32 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1236): Waiting for all the replicas to be cleaned... 
[13/May/2015:16:43:33 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1236): Waiting for all the replicas to finish cleaning... 
[13/May/2015:16:43:34 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1236): Not all replicas finished cleaning, retrying in 10 seconds 
[13/May/2015:16:43:44 -0400] NSMMReplicationPlugin - CleanAllRUV Task (rid 1236): Successfully cleaned rid(1236). 


rid is present, marking as VERIFIED.

Comment 3 errata-xmlrpc 2015-07-22 06:37:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1326.html


Note You need to log in before you can comment on or make changes to this bug.